typedef struct
{
	char *thumbs_path;
	int offset;
	int length;
	int w, h;
	int type;
	int rotated;
} db_image;

typedef struct
{
	char *title;
	long image_id;
	unsigned count;
	db_image *images;
	//int sorted;
} db_image_group;

typedef struct
{
	char *title;
	int count;
	int *image_ids;
	long type; // we're interested in 1 and 2 types
} db_photo_album;

typedef struct
{
	unsigned count;
	db_image_group *groups;
	db_photo_album *albums;
	unsigned album_count;
} db_image_list;

int load_db(const char *fname, db_image_list **image_list);
int get_bytes(db_image *image, char **rgb);
int image_to_ppm(db_image *image, const char *fname);
void free_image_list(db_image_list *list);
